%define tarname		SIMVoleon
%define major		40
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d

Name:			simvoleon
Version:		2.0.1
Release:		%mkrel 5
Summary:		Volume rendering library for Coin
License:		GPLv2
Group:			System/Libraries
URL:			http://www.coin3d.org
Source:			http://ftp.coin3d.org/coin/src/all/%{tarname}-%{version}.tar.bz2

# Backport from 2.0.0:
# The 2.0.1 tarball lacks files.
Patch0:			SIMVoleon-2.0.1-doxyfixes.diff
Patch1:			SIMVoleon-2.0.1-simacros.diff
Patch2:			SIMVoleon-2.0.1-libtool.diff
Patch3:			SIMVoleon-2.0.1-gcc4.1.diff
Patch4:			simvoleon-2.0.1-mga-fix_here_doc-simvoleon-config.in.patch

BuildRequires:		pkgconfig(Coin)
BuildRequires:		pkgconfig(glu)
BuildRequires:		doxygen

%description
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.

%package -n %{libname}
Summary:		Development files for SIMVoleon
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.

%package -n %{libnamedev}
Summary:		Development files for SIMVoleon
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		lib%{name}-devel = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}
Obsoletes:		%{_lib}simvoleon40-devel < 2.0.1-5

%description -n %{libnamedev}
SIM Voleon is a software development system, in the form of an add-on library
to Coin3D. SIM Voleon complements Coin's capabilities for polygon-based
rendering with visualization of volumetric data sets, by providing so-called
"volume rendering" technology.


%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0 -b .simvoleon-2.0.1-mga-fix_here_doc-simvoleon-config.in.patch

chmod +x cfg/doxy4win.pl

%build
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	htmldir=%{_datadir}/Coin/SIMVoleon
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog README NEWS
%{_libdir}/libSimVoleon.so.%{major}
%{_libdir}/libSimVoleon.so.%{major}.*

%files -n %{libnamedev}
%doc %{_datadir}/Coin/SIMVoleon/
%{_datadir}/Coin/conf/
%{_bindir}/simvoleon-config
%{_includedir}/VolumeViz/
%{_libdir}/libSimVoleon.so
%{_datadir}/aclocal/simvoleon.m4


%changelog
* Tue Aug 20 2013 wally <wally> 2.0.1-5.mga4
+ Revision: 468256
- remove major from devel pkg name
- drop .la files
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 382075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 barjac <barjac> 2.0.1-3.mga2
+ Revision: 211641
- Corrected Provides and Requires on -devel

* Tue Feb 21 2012 barjac <barjac> 2.0.1-2.mga2
+ Revision: 211530
- fix here-doc in simvoleon-config for current bash ver - patch added

* Tue Feb 21 2012 barjac <barjac> 2.0.1-1.mga2
+ Revision: 211524
- spec cleaned
- macro removed from configure to fix build
- added some %%defines to tidy strings
- imported package simvoleon


* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-6mdv2009.0
+ Revision: 260689
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-5mdv2009.0
+ Revision: 252457
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 14 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.0.1-3mdv2008.1
+ Revision: 168244
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Fri Aug 31 2007 Gaëtan Lehmann <glehmann@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 76865
- spec cleanup
- rebuild


* Sat May 27 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.1-2mdv2007.0
- fix BuildRequires

* Fri May 26 2006 <gaetan.lehmann@jouy.inra.fr> 2.0.1-1mdv2007.0
- first contrib (adapted from fedora spec file)

